# Introduction

**CollectiveSpins.jl** is a numerical framework that can be used to simulate quantum systems consisting of spatially distributed spins interacting via [Dipole-Dipole interaction](@ref), optionally coupled to a cavity.

The [Geometry](@ref) module allows the rapid creation of arbitrarily placed spins in order to build up very general systems as explained in the [System](@ref) documentation. These can then be investigated using either a complete quantum description or cumulant expansions up to second order. The details are presented in [Theoretical Descriptions](@ref). The [Collective Modes](@ref) provides functions for the calculation of collective spin band structures and decay rates.
